#include<stdio.h>
#include<stdlib.h>
#include<math.h>
int stepen(int br)
{
	int result=1;
	int i;
	for(i=0;i<br;i++)
	{
		result*=10;	
	}
	return result;
}
main()
{
	//----------
	//unos
	int x;
	//printf("unos broja\n");
	scanf("%d",&x);
	//----------
	//broj cifara
	int br=0;
	int temp=x;
	while(temp>0)
	{
		temp=temp/10;
		br++;
	}
	temp=0;
	//----------
	//rad
	int dinari=0;//br novcanica
	br--;//br je stepen 10-ke
	while(br>=0)
	{
		if(x>=(stepen(br)*5))//fora je u tome da ga umanjujem po nivoima
		{
			temp=x /(stepen(br)*5);//koliko se puta novcanica sadrzi
			x= x-(temp*stepen(br)*5);
			dinari+=temp;
			temp=0;	//i onda ga resetujem za svaki sl
		}
		if(x>=stepen(br)*2)
		{
			temp=x/(stepen(br)*2);
			x= x-(temp*stepen(br)*2);
			dinari+=temp;
			temp=0;	
		}
		if(x>=stepen(br)*1)
		{
			temp=x/(stepen(br)*1);
			x= x-(temp*stepen(br)*1);
			dinari+=temp;
			temp=0;	
		}
		br--;
	}
	printf("%d\n",dinari);
	return 0;
	//----------
}